<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <artifactId>robot-trans-manager</artifactId>
    <packaging>jar</packaging>
    <description>机器人ai转换平台</description>

    <parent>
        <groupId>com.mortals.xhx</groupId>
        <artifactId>robot-trans-platform</artifactId>
        <version>1.0.0-SNAPSHOT</version>
    </parent>

    <properties>
        <common-lib.version>0.0.1-SNAPSHOT</common-lib.version>
        <pcap4j.version>1.8.2</pcap4j.version>
        <zxing.version>3.4.1</zxing.version>
        <!-- 默认值 -->
        <profiles.server.debug></profiles.server.debug>
        <profiles.server.port>18006</profiles.server.port>
        <profiles.log.path>/home/mortals/app/logs</profiles.log.path>
        <profiles.log.level>info</profiles.log.level>
        <profiles.publish.path>/home/publish</profiles.publish.path>
        <profiles.filepath>/mortals/app/data</profiles.filepath>
        <profiles.nacosUrl>http://127.0.0.1:8848</profiles.nacosUrl>
        <profiles.server.debug></profiles.server.debug>
        <profiles.redis.uri>127.0.0.1</profiles.redis.uri>
        <profiles.redis.port>6379</profiles.redis.port>
        <profiles.redis.username></profiles.redis.username>
        <profiles.redis.password></profiles.redis.password>
        <profiles.redis.database>15</profiles.redis.database>
    </properties>

    <profiles>
        <profile>
            <id>develop</id>
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
            <properties>
                <profiles.active>develop</profiles.active>
                <profiles.datasource.uri>
                    <![CDATA[jdbc:mysql://localhost:3306/robot-trans-platform?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Hongkong]]></profiles.datasource.uri>
                <profiles.datasource.username>root</profiles.datasource.username>
                <profiles.datasource.password>12345678</profiles.datasource.password>
                <profiles.publish.path>E:\pic\publish\</profiles.publish.path>
                <profiles.filepath>E:/mortals/app/data</profiles.filepath>
                <profiles.chat.streamChatUrl>https://agent.wx3.com.cn/v1/chat-messages</profiles.chat.streamChatUrl>
                <profiles.chat.auth-head>Authorization</profiles.chat.auth-head>
                <profiles.chat.auth-value>Bearer app-ritPdgkz8bsrfzpcJdSTkUF5</profiles.chat.auth-value>
            </properties>
        </profile>
        <profile>
            <id>test</id>
            <properties>
                <profiles.active>test</profiles.active>
                <profiles.server.debug>-agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=24799
                </profiles.server.debug>
                <profiles.datasource.uri>
                    <![CDATA[jdbc:mysql://192.168.0.98:3306/robot-trans-platform?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Hongkong]]></profiles.datasource.uri>
                <profiles.datasource.username>root</profiles.datasource.username>
                <profiles.datasource.password>xhx@2022</profiles.datasource.password>
                <profiles.chat.streamChatUrl>https://agent.wx3.com.cn/v1/chat-messages</profiles.chat.streamChatUrl>
                <profiles.chat.auth-head>Authorization</profiles.chat.auth-head>
                <profiles.chat.auth-value>Bearer app-ritPdgkz8bsrfzpcJdSTkUF5</profiles.chat.auth-value>

            </properties>
        </profile>
        <profile>
            <id>product</id>
            <properties>
                <profiles.active>product</profiles.active>
                <profiles.datasource.uri>
                    <![CDATA[jdbc:mysql://127.0.0.1:3306/robot-trans-platform?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Hongkong]]></profiles.datasource.uri>
                <profiles.datasource.username>root</profiles.datasource.username>
                <profiles.datasource.password>xhx@2022</profiles.datasource.password>
                <profiles.streamChatUrl>https://agent.wx3.com.cn/v1/chat-messages</profiles.streamChatUrl>
            </properties>
        </profile>
    </profiles>
    <dependencies>

        <dependency>
            <groupId>com.mortals.xhx</groupId>
            <artifactId>common-lib</artifactId>
        </dependency>

        <!-- 引入 SpringMVC 相关依赖，并实现对其的自动配置 -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>

        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid-spring-boot-starter</artifactId>
        </dependency>

        <dependency>
            <groupId>com.squareup.okhttp3</groupId>
            <artifactId>okhttp</artifactId>
            <version>4.2.0</version>
        </dependency>
        <dependency>
            <groupId>com.squareup.okhttp3</groupId>
            <artifactId>okhttp-sse</artifactId>
            <version>4.2.0</version>
        </dependency>
<!--        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-webflux</artifactId>
            <version>5.3.39</version>
        </dependency>-->

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-webflux</artifactId>
        </dependency>


        <dependency>
            <groupId>org.mybatis.spring.boot</groupId>
            <artifactId>mybatis-spring-boot-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.data</groupId>
            <artifactId>spring-data-redis</artifactId>
        </dependency>

        <dependency>
            <groupId>com.github.shalousun</groupId>
            <artifactId>smart-doc</artifactId>
            <scope>test</scope>
            <version>2.3.0</version>
            <exclusions>
                <exclusion>
                    <groupId>org.yaml</groupId>
                    <artifactId>snakeyaml</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
        </dependency>
        <!-- https://mvnrepository.com/artifact/com.thoughtworks.qdox/qdox -->
        <dependency>
            <groupId>com.thoughtworks.qdox</groupId>
            <artifactId>qdox</artifactId>
            <version>2.0.1</version>
        </dependency>


        <dependency>
            <groupId>com.github.jsonzou</groupId>
            <artifactId>jmockdata</artifactId>
            <version>4.2.0</version>
        </dependency>

        <dependency>
            <groupId>org.mapstruct</groupId>
            <artifactId>mapstruct</artifactId>
            <version>1.4.2.Final</version>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>org.freemarker</groupId>
            <artifactId>freemarker</artifactId>
            <version>2.3.31</version>
        </dependency>
        <dependency>
            <groupId>com.github.javafaker</groupId>
            <artifactId>javafaker</artifactId>
            <version>1.0.2</version>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>com.deepoove</groupId>
            <artifactId>poi-tl</artifactId>
            <version>1.12.0</version>
        </dependency>



        <dependency>
            <groupId>org.junit.jupiter</groupId>
            <artifactId>junit-jupiter</artifactId>
        </dependency>

        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-scratchpad</artifactId>
            <version>5.2.2</version>
        </dependency>

        <dependency>
            <groupId>org.codehaus.plexus</groupId>
            <artifactId>plexus-archiver</artifactId>
            <version>2.2</version>
        </dependency>

        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
            <version>2.11.0</version>
        </dependency>

    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>2.19.1</version>
                <configuration>
                    <skipTests>true</skipTests>    <!--默认关掉单元测试 -->
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>


            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <configuration>
                    <encoding>UTF-8</encoding>
                    <nonFilteredFileExtensions>
                        <nonFilteredFileExtension>docx</nonFilteredFileExtension>
                    </nonFilteredFileExtensions>
                </configuration>
                <executions>
                    <execution>
                        <id>copy-bin</id>
                        <phase>package</phase>
                        <goals>
                            <goal>copy-resources</goal>
                        </goals>
                        <configuration>
                            <encoding>UTF-8</encoding>
                            <outputDirectory>target/bin
                            </outputDirectory>
                            <resources>
                                <resource>
                                    <directory>src/main/bin/</directory>
                                    <excludes>
                                        <exclude>deploy.sh</exclude>
                                    </excludes>
                                    <filtering>true</filtering>
                                </resource>
                            </resources>
                        </configuration>
                    </execution>

                    <execution>
                        <id>copy-deploy</id>
                        <phase>package</phase>
                        <goals>
                            <goal>copy-resources</goal>
                        </goals>
                        <configuration>
                            <encoding>UTF-8</encoding>
                            <outputDirectory>${project.parent.basedir}/dist/${project.artifactId}/
                            </outputDirectory>
                            <resources>
                                <resource>
                                    <directory>src/main/bin</directory>
                                    <includes>
                                        <include>deploy.sh</include>
                                    </includes>
                                    <filtering>true</filtering>
                                </resource>
                            </resources>
                        </configuration>
                    </execution>
                </executions>
            </plugin>


            <plugin>
                <artifactId>maven-assembly-plugin</artifactId>
                <version>3.3.0</version>
                <executions>
                    <execution>
                        <id>make-assembly</id>
                        <phase>package</phase>
                        <goals>
                            <goal>single</goal>
                        </goals>
                        <configuration>
                            <finalName>${project.artifactId}</finalName>
                            <appendAssemblyId>false</appendAssemblyId>
                            <descriptors>
                                <descriptor>../assembly/assembly.xml</descriptor>
                            </descriptors>
                            <outputDirectory>${project.parent.basedir}/dist/${project.artifactId}</outputDirectory>
                        </configuration>
                    </execution>

                </executions>
            </plugin>
        </plugins>
    </build>


</project>
